<?php

namespace App\Http\Controllers;

use App\Models\Contact;
use Illuminate\Http\Request;

class ContactController extends Controller
{
    public function index(Request $request)
    {
        // Search functionality
        $search = $request->input('search');
        $contacts = Contact::query()
            ->when($search, function ($query, $search) {
                $query->where('fullname', 'like', "%{$search}%")
                      ->orWhere('email', 'like', "%{$search}%")
                      ->orWhere('phone', 'like', "%{$search}%")
                      ->orWhere('message', 'like', "%{$search}%");
            })
            ->paginate(10);

        return view('contacts.index', compact('contacts', 'search'));
    }
}

?>