<?php

namespace App\Models;

use App\Models\Brand;
use App\Models\ProductImage;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Product extends Model
{
    use HasFactory;

    protected $guarded = [];

    public function brand()
    {
        return $this->belongsTo(Brand::class);
    }

    public function images()
    {
        return $this->hasMany(ProductImage::class);
    }

    public function similarProducts()
    {

        return $this->hasMany(Product::class, 'category_id', 'category_id')->with('brand', 'images')->take(5);
    }

    public function category()
    {
        return $this->belongsTo(Category::class);
    }
}
