@extends('layouts.admin')

@section('content')
<div class="card">
    <div class="card-header">
        <h4>Edit Category</h4>
    </div>
    <div class="card-body">
        <form method="POST" action="{{ url('update-category/' . $category->id) }}" enctype="multipart/form-data"> 
            @csrf
            @method('PUT')
            <div class="row">
                <div class="col-md-6 mb-3">
                    <label for="">Category Name</label>
                    <input type="text" class="form-control border border-dark p-2" name="category_name" value="{{ $category->name }}">
                </div>    
                <div class="col-md-6 mb-3">
                    <label for="">Brand</label>
                    <select name="brand_id" class="form-control border border-dark p-2">
                        <option value="">Select Brand</option>
                        @foreach($brands as $brand)
                        <option value="{{ $brand->id }}" {{ $category->brand_id == $brand->id ? 'selected' : '' }}>
                            {{ $brand->name }}
                        </option>
                        @endforeach
                    </select>
                </div>    
                <div class="col-md-12 mb-3">
                    <button type="submit" class="btn btn-primary">Update</button>
                </div>    
            </div>    
        </form>
    </div>
</div>
@endsection
