@extends('layouts.admin')

@section('content')
<div class="card">
    <div class="card-header d-flex justify-content-between">
        <h4>Section Products List</h4>

    <div class="d-flex justify-content-between align-items-center">
            <a href="{{ route('home-campaign-context-product.create') }}"  class="btn btn-primary m-0">Add Section Product</a>
            <!-- Search Form -->
            <form action="{{ url('home-campaign-context-product') }}" method="GET" class="d-flex">
                <input type="text" name="search" value="{{ request()->input('search') }}" placeholder="Search by Product, Brand, or Category..." style="width:300px" class="form-control border border-primary ms-2 px-2">
                <button type="submit" class="btn btn-primary mx-2 mb-0">Search</button>
            </form>
        </div>

    </div>
    <div class="card-body">
        <table class="table table-striped table-fixed table-hover align-middle text-center">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>Brand</th>
                    <th>Category</th>
                    <th>Product</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @forelse($campaignContextProducts as $productContext)
                <tr>
                    <td>{{ $productContext->id }}</td>
                    <td>{{ $productContext->campaignContext->brand?->name ?? 'No Brand' }}</td>
                    <td>{{ $productContext->campaignContext->category?->name ?? 'No Category' }}</td>
                    <td>{{ $productContext->product->name ?? 'No Product' }}</td>
                    <td>
                        <a href="{{ route('campaign-context-product.edit', $productContext->id) }}" class="btn btn-success">Edit</a>
                        <form action="{{ route('campaign-context-product.destroy', $productContext->id) }}" method="POST" class="d-inline">
                            @csrf
                            @method('DELETE')
                            <button type="submit" class="btn btn-danger">Delete</button>
                        </form>
                    </td>
                </tr>
                @empty
                <tr>
                    <td colspan="5">No section products found.</td>
                </tr>
                @endforelse
            </tbody>
        </table>

        <!-- Pagination Links with Search Query -->
        <div class="d-flex justify-content-center mt-3 pagination">
            {{ $campaignContextProducts->appends(['search' => request()->input('search')])->links() }}
        </div>
    </div>
</div>
@endsection
