<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <title>Dashboard</title>
    <style>
        .card-header {
            background-color: #f8f9fa;
        }
        .card {
            border: 1px solid #e0e0e0;
            border-radius: 10px;
        }
        .icon {
            font-size: 30px;
            color: #3b5998; /* Change color based on your theme */
        }
    </style>
</head>
<body>

  @php
    use App\Models\User;
    use App\Models\Order;
    use App\Models\Brand;
    use App\Models\Category;
    use App\Models\Product;

    $totalUsers = User::count();
    $totalOrders = Order::count();
    $totalBrands = Brand::count();
    $totalCategories = Category::count();
    $totalProducts = Product::count();
@endphp

<div class="container-fluid py-4">
    <div class="row mb-4">
        <!-- Total Users Card -->
        <div class="col-lg-3 mb-4">
            <div class="card">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h6>Total Users</h6>
                    <i class="fas fa-users icon"></i>
                </div>
                <div class="card-body">
                    <h3 class="text-center">{{ $totalUsers }}</h3>
                </div>
            </div>
        </div>

        <!-- Total Brands Card -->
        <div class="col-lg-3 mb-4">
            <div class="card">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h6>Total Brands</h6>
                    <i class="fas fa-tags icon"></i>
                </div>
                <div class="card-body">
                    <h3 class="text-center">{{ $totalBrands }}</h3>
                </div>
            </div>
        </div>

        <!-- Total Orders Card -->
        <div class="col-lg-3 mb-4">
            <div class="card">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h6>Total Orders</h6>
                    <i class="fas fa-shopping-cart icon"></i>
                </div>
                <div class="card-body">
                    <h3 class="text-center">{{ $totalOrders }}</h3>
                </div>
            </div>
        </div>

        <!-- Total Categories Card -->
        <div class="col-lg-3 mb-4">
            <div class="card">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h6>Total Categories</h6>
                    <i class="fas fa-list icon"></i>
                </div>
                <div class="card-body">
                    <h3 class="text-center">{{ $totalCategories }}</h3>
                </div>
            </div>
        </div>

        <!-- Total Products Card -->
        <div class="col-lg-3 mb-4">
            <div class="card">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h6>Total Products</h6>
                    <i class="fas fa-box-open icon"></i>
                </div>
                <div class="card-body">
                    <h3 class="text-center">{{ $totalProducts }}</h3>
                </div>
            </div>
        </div>

      
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
