<?php

use App\Models\User;

use Illuminate\Support\Facades\Auth;
use App\Models\Brand;
use App\Models\Order;
use App\Models\Product;
use App\Models\Category;
use App\Mail\WelcomeMail;
use Illuminate\support\Facades\Mail;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\OrderController;
use App\Http\Controllers\Admin\ProductController;
use App\Http\Controllers\frontend\CartController;
use App\Http\Controllers\frontend\UserController;
use App\Http\Controllers\Admin\frontendController;
use App\Http\Controllers\frontend\FrontController;
use App\Http\Controllers\Admin\DashboardController;
// use App\Http\Controllers\frontend\contactComplains;
use App\Http\Controllers\Admin\CategoriesController;
use App\Http\Controllers\frontend\CheckoutController;
use App\Http\Controllers\CampaignContextProductController;
use App\Http\Controllers\CampaignContextController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\ContactController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', [FrontController::class,  'mainpage']);
// Route::get('/category', [FrontController::class,  'category']);
// Route::get('view-category/{slug}', [FrontController::class,  'viewCategory']);
// Route::get('view-category/{cate_slug}/{prod_slug}', [FrontController::class,  'productView']);
// Route::get('view-product/{prod_slug}', [FrontController::class,  'eachProdView']);







// Route::get('/',function(){
//   return redirect('/login');
// });

Auth::routes();

Route::get('/email', function () {
    Mail::to('mrmoiz1.dev@gmail.com')->send(new WelcomeMail());
    return new WelcomeMail();
});


Route::post('add-to-cart', [CartController::class, 'addProduct']);
Route::post('delete-cart-item', [CartController::class, 'deleteProduct']);
Route::post('update-cart', [CartController::class, 'updateCart']);
Route::post('searchProduct', [FrontController::class, 'searchProducts']);

// Route::get('contact', [contactComplains::class,  'index']);
// Route::post('sendMessage', [contactComplains::class,  'submitForm']);
Route::view('about', 'frontend.About');


Route::middleware(['auth'])->group(function () {
    Route::get('cart', [CartController::class, 'viewCart']);
    Route::get('checkout', [CheckoutController::class, 'index']);
    Route::post('place-order', [CheckoutController::class, 'placeOrder']);
    Route::get('my-order', [UserController::class, 'index']);
    Route::get('view-order/{id}', [UserController::class, 'viewOrder']);
});



// Admin DashBoard Routes
Route::middleware(['auth'])->group(function () {
    Route::get('/dashboard', function () {
        return view('Admin.dashboard', compact('totalOrders', 'totalBrands', 'totalCategories', 'totalProducts'));
    });
    Route::get('/profile', [ProfileController::class, 'index'])->name('profile');
    Route::post('/profile', [ProfileController::class, 'update'])->name('profile.update');
});



Route::middleware(['isAdmin'])->group(function () {
    Route::get('/dashboard', 'App\Http\Controllers\Admin\frontendController@index');

    // Categories Routes

    Route::get('/categories', 'App\Http\Controllers\Admin\CategoriesController@index')->name('categories.index');
    Route::get('/add-category', 'App\Http\Controllers\Admin\CategoriesController@add');
    Route::post('insert-category', 'App\Http\Controllers\Admin\CategoriesController@insert');
    Route::get('edit-category/{id}', [CategoriesController::class, 'edit']);
    Route::put('update-category/{id}', [CategoriesController::class, 'update']);
    Route::get('delete-category/{id}', [CategoriesController::class, 'delete']);
    Route::get('/categories/{brandId}', [CategoriesController::class, 'getCategories']);
    Route::get('/campaigns/{categoryId}', [CategoriesController::class, 'getCampaignsByCategoryId']);
    Route::get('/api/categories', 'CategoryController@getCategoriesByBrand');
    Route::get('/contacts', [ContactController::class, 'index'])->name('contacts.index');

    // Product Routes1
    Route::get('/products', 'App\Http\Controllers\Admin\ProductController@index')->name('admin.products.index');
    Route::get('/add-product', 'App\Http\Controllers\Admin\ProductController@add');
    Route::post('insert-product', 'App\Http\Controllers\Admin\ProductController@insert');
    Route::get('edit-product/{id}', [ProductController::class, 'edit']);
    Route::put('update-product/{id}', [ProductController::class, 'update']);
    Route::get('delete-product/{id}', [ProductController::class, 'delete']);
    Route::put('update-order/{id}', [UserController::class, 'updateOrder']);


    Route::get('orders', [OrderController::class, 'index'])->name('admin.orders.index');
    Route::get('admin/view-order/{id}', [OrderController::class, 'view']);
    Route::put('update-order/{id}', [OrderController::class, 'updateOrder']);
    Route::get('order-history', [OrderController::class, 'orderHistory']);

    Route::get('users', [DashboardController::class, 'users']);
    Route::get('view-user/{id}', [DashboardController::class, 'viewUser']);
    Route::get('/campaigns',[DashboardController::class, 'campaigns']);
    Route::get('delete-campaigns/{id}', [DashboardController::class, 'deleteCampaigns']);
    Route::get('edit-campaigns/{id}', [DashboardController::class, 'editCampaigns']);
    Route::put('update-campaign/{id}', [DashboardController::class, 'updateCampaigns']);
    Route::get('/add-campaign',[DashboardController::class, 'addCampaign']);
    Route::post('/store-campaign',[DashboardController::class, 'storeCampaign']);
    Route::get('/brands',[DashboardController::class, 'brands'])->name('brands.index');
    Route::get('/add-brand',[DashboardController::class, 'addBrand']);
    Route::post('/store-brand',[DashboardController::class,'storeBrand']);
    Route::get('delete-brands/{id}', [DashboardController::class, 'deleteBrands']);
    Route::get('edit-brands/{id}', [DashboardController::class, 'editBrands']);
    Route::put('update-brands/{id}', [DashboardController::class, 'updateBrands']);
   // Route::get('message', [contactComplains::class, 'viewcomplains']);
    // CampaignContext Routes
    Route::get('campaign-context', [CampaignContextController::class, 'index'])->name('campaign-context.index');
    Route::get('home-campaign-context', [CampaignContextController::class, 'homeIndex'])->name('home.campaign-context.index');
    Route::get('home-campaign-context/create', [CampaignContextController::class, 'homeCreate'])->name('home.campaign-context.create');
    Route::get('campaign-context/create', [CampaignContextController::class, 'create'])->name('campaign-context.create');
    Route::post('home-campaign-context/store', [CampaignContextController::class, 'HomeCampaignStore'])->name('home-campaign-context.store');
    Route::post('campaign-context/store', [CampaignContextController::class, 'store'])->name('campaign-context.store');
    Route::get('campaign-context/edit/{id}', [CampaignContextController::class, 'edit'])->name('campaign-context.edit');
    Route::get('home-campaign-context/edit/{id}', [CampaignContextController::class, 'homeEdit'])->name('home-campaign-context.edit');
    Route::post('home-campaign-context/update/{id}', [CampaignContextController::class, 'homeUpdate'])->name('home-campaign-context.update');
    Route::post('campaign-context/update/{id}', [CampaignContextController::class, 'update'])->name('campaign-context.update');
    Route::delete('campaign-context/destroy/{id}', [CampaignContextController::class, 'destroy'])->name('campaign-context.destroy');

    // CampaignContextProduct Routes
    Route::get('campaign-context-product', [CampaignContextProductController::class, 'index'])->name('campaign-context-product.index');
    Route::get('home-campaign-context-product', [CampaignContextProductController::class, 'Homeindex'])->name('home-campaign-context-product.index');
    Route::get('home-campaign-context-product/create', [CampaignContextProductController::class, 'homeCreate'])->name('home-campaign-context-product.create');
    Route::get('campaign-context-product/create', [CampaignContextProductController::class, 'create'])->name('campaign-context-product.create');
    Route::post('campaign-context-product/store', [CampaignContextProductController::class, 'store'])->name('campaign-context-product.store');
    Route::post('home-campaign-context-product/store', [CampaignContextProductController::class, 'homeStore'])->name('home.campaign-context-product.store');
    Route::get('campaign-context-product/edit/{id}', [CampaignContextProductController::class, 'edit'])->name('campaign-context-product.edit');
    Route::post('campaign-context-product/update/{id}', [CampaignContextProductController::class, 'update'])->name('campaign-context-product.update');
    Route::delete('campaign-context-product/destroy/{id}', [CampaignContextProductController::class, 'destroy'])->name('campaign-context-product.destroy');

});


Route::post('/admin/orders/{order}/update-status', [OrderController::class, 'updateStatus'])->name('orders.updateStatus');
